stages:
  - test
  - containerize
  - release

cache:
  paths:
    - .cache/pip
    - venv

include:
  - remote: https://gitlab.com/TIBHannover/gitlab-ci-templates/raw/master/templates/Docker.gitlab-ci.yml

test-api:
  stage: test
  image: python:3.11
  variables:
    VERBOSE: "True"
  before_script:
    - pip install poetry
    - poetry install --no-root
    - source `poetry env info --path`/bin/activate
  script:
    - pytest

version_and_release:
  stage: release
  image: python:3.11
  only:
    - main
  before_script:
    - pip install https://github.com/aborsu/other-semantic-release/archive/gitlab-ci.zip
    - pip install poetry
  script:
    - git checkout "$CI_COMMIT_REF_NAME"
    - poetry install --no-root
    - source `poetry env info --path`/bin/activate
    - semantic-release -v version && semantic-release publish
